//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------

typedef long (WINAPI *DecryptPDF)(char * inFileName,char *outFileName,
					char *OwnerPassword,char *UserPassword,
					char *keywords,char *subject,char *title,char *author,char *creator );
typedef BOOL (__stdcall *IsEncryptPDF)(char * inFileName);
typedef BOOL (__stdcall *IsPDFFormat)(char * inFileName);


class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TButton *Button1;
    void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
    HMODULE				g_hDecryptpdf;
    DecryptPDF			pDecryptPDF;
    IsEncryptPDF		pIsEncryptPDF;
    IsPDFFormat			pIsPDFFormat;

    void	GetModulePath(char *out_path,char *in_name);
    BOOL	LoadDecryptPDF(void);
    void	FreeDecryptPDF();

    
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
